import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/align_transition.dart';
import 'package:tap_animation_kit/src/interface/strategy_interface/animation_behavior.dart';

class TapAlignTransition implements IAnimationBahavior {
  /// Constructor
  const TapAlignTransition({this.props});

  /// Properties
  final AlignTransitionModelInterface props;

  @override
  Widget decideAnimation() {
    return AlignTransition(
      alignment: props.alignment,
      child: props.child,
      widthFactor: props.widthFactor,
      heightFactor: props.heightFactor,
    );
  }
}
