import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/rotation_transition.dart';
import 'package:tap_animation_kit/src/interface/strategy_interface/animation_behavior.dart';

class TapRotationTransition implements IAnimationBahavior {
  /// Constructor
  const TapRotationTransition({this.props});

  /// Properties
  final RotationTransitionModelInterface props;

  @override
  Widget decideAnimation() {
    return RotationTransition(
      child: props.child,
      alignment: props.alignment,
      turns: props.turns,
    );
  }
}
