import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_top_interface/animation_props_interface.dart';

abstract class CrossFadeModelInterface implements IAnimationPropsInterface {
  AlignmentGeometry get alignment;

  CrossFadeState get crossFadeState;

  Duration get duration;

  Widget get firstChild;

  Curve get firstCurve;

  AnimatedCrossFadeBuilder get layoutBuilder;

  Widget get secondChild;

  Curve get secondCurve;

  Curve get sizeCurve;
}
