import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/align_transition.dart';

/// Model of Alignment animation
class AlignTransitionModel implements AlignTransitionModelInterface {
  /// Constructor
  AlignTransitionModel(
      {@required this.alignment,
      this.child,
      this.heightFactor,
      this.widthFactor});

  @override
  final Widget child;

  @override
  double heightFactor;

  @override
  double widthFactor;

  Animation<AlignmentGeometry> get alignmentValue => alignment;

  @override
  Animation<AlignmentGeometry> alignment;
}
