import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/alignment.dart';

/// Model of Alignment animation
class AlignmentModel implements AlignmentModelInterface {
  /// Constructor
  AlignmentModel(
      {this.child,
      this.curve = Curves.linear,
      @required this.duration,
      @required this.alignment});

  @override
  Widget child;
  @override
  Curve curve;
  @override
  Duration duration;
  @override
  AlignmentGeometry alignment;
}
