import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/padding.dart';

/// Model of Padding animation
class PaddingModel implements PaddingModelInterface {
  /// Constructor
  PaddingModel(
      {this.child, this.curve = Curves.linear, this.duration, this.padding});

  /// Properties

  @override
  final Widget child;

  @override
  final Curve curve;

  @override
  @required
  final Duration duration;

  @override
  @required
  final EdgeInsets padding;
}
