library tap_animation_kit;

/// animations
export 'package:tap_animation_kit/src/general_animations/align_transition.dart';
export 'package:tap_animation_kit/src/general_animations/animated_align.dart';
export 'package:tap_animation_kit/src/general_animations/animated_cross_fade.dart';
export 'package:tap_animation_kit/src/general_animations/animated_default_text_style.dart';
export 'package:tap_animation_kit/src/general_animations/animated_opacity.dart';
export 'package:tap_animation_kit/src/general_animations/animated_padding.dart';
export 'package:tap_animation_kit/src/general_animations/rotation-transition.dart';

/// models interfaces
export 'package:tap_animation_kit/src/interface/model_lower_interface/opacity.dart';

/// enum
export 'package:tap_animation_kit/src/enum/animation_type.dart';

/// models
export 'package:tap_animation_kit/src/model/alignment.dart';
export 'package:tap_animation_kit/src/model/cross_fade.dart';
export 'package:tap_animation_kit/src/model/opacity.dart';
export 'package:tap_animation_kit/src/model/padding.dart';
export 'package:tap_animation_kit/src/model/default_text_style.dart';
export 'package:tap_animation_kit/src/model/align_transition.dart';
export 'package:tap_animation_kit/src/model/rotation_transition.dart';

/// TextAnimation
export 'package:tap_animation_kit/src/atoms_animation/text_animation.dart';
