import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/alignment.dart';
import 'package:tap_animation_kit/src/interface/strategy_interface/animation_behavior.dart';

class TapAnimatedAlign implements IAnimationBahavior {
  /// Constructor
  const TapAnimatedAlign({this.props});

  /// Properties
  final AlignmentModelInterface props;

  @override
  Widget decideAnimation() {
    return AnimatedAlign(
      duration: props.duration,
      child: props.child,
      curve: props.curve,
      alignment: props.alignment,
    );
  }
}
