import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/opacity.dart';
import 'package:tap_animation_kit/src/interface/strategy_interface/animation_behavior.dart';

class TapAnimatedOpacity implements IAnimationBahavior {
  /// Constructor
  const TapAnimatedOpacity({this.props});

  /// Properties
  final OpacityModelInterface props;

  @override
  Widget decideAnimation() {
    return AnimatedOpacity(
      duration: props.duration,
      child: props.child,
      curve: props.curve,
      opacity: props.opacity,
    );
  }
}
