import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/padding.dart';
import 'package:tap_animation_kit/src/interface/strategy_interface/animation_behavior.dart';

class TapAnimatedPadding implements IAnimationBahavior {
  /// Constructor
  const TapAnimatedPadding({this.props});

  /// Properties
  final PaddingModelInterface props;

  @override
  Widget decideAnimation() {
    return AnimatedPadding(
      duration: props.duration,
      child: props.child,
      curve: props.curve,
      padding: props.padding,
    );
  }
}
