import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_top_interface/animation_props_interface.dart';

abstract class DefaultTextStyleModelInterface
    implements IAnimationPropsInterface {
  Widget get child;

  int get maxLines;

  Curve get curve;

  Duration get duration;

  TextOverflow get overflow;

  bool get softWrap;

  TextStyle get style;

  TextAlign get textAlign;
}
