import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/default_text_style.dart';

/// Model of DefaultTextStyle animation
class DefaultTextStyleModel implements DefaultTextStyleModelInterface {
  /// Constructor
  DefaultTextStyleModel(
      {@required this.child,
      this.curve = Curves.linear,
      @required this.duration,
      this.maxLines,
      this.overflow = TextOverflow.clip,
      this.softWrap = true,
      @required this.style,
      this.textAlign});

  @override
  Widget child;

  @override
  Curve curve;

  @override
  Duration duration;

  @override
  int maxLines;

  @override
  TextOverflow overflow;

  @override
  bool softWrap;

  @override
  TextStyle style;

  @override
  TextAlign textAlign;
}
