import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/opacity.dart';

/// Model of Opacity animation
class OpacityModel implements OpacityModelInterface {
  /// Constructor
  OpacityModel(
      {this.child, this.curve = Curves.linear, this.duration, this.opacity});

  /// Properties
  @override
  final Widget child;

  @override
  final Curve curve;

  @override
  @required
  final Duration duration;

  @override
  @required
  final double opacity;
}
