import 'package:flutter/material.dart';
import 'package:tap_animation_kit/src/interface/model_lower_interface/rotation_transition.dart';

/// Model of Padding animation
class RotationTransitionModel implements RotationTransitionModelInterface {
  /// Constructor
  RotationTransitionModel({this.alignment, this.child, this.turns});

  /// Properties
  @override
  final Alignment alignment;

  @override
  final Widget child;

  @override
  @required
  final Animation<double> turns;
}
